Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.routing
Class SendOptions

    java.lang.Object
      rice.pastry.routing.SendOptions

All Implemented Interfaces:
  java.io.Serializable

public class SendOptions
extends java.lang.Object
implements java.io.Serializable

This is the options for a client to send messages.

Version:
  $Id: SendOptions.java,v 1.7 2005/03/11 00:58:10 jeffh Exp $
Author:
  Andrew Ladd
See Also:
  Serialized Form

Field Summary
`static boolean` | `defaultAllowMultipleHops` DESCRIBE THE FIELD
`static boolean` | `defaultNoShortCuts` DESCRIBE THE FIELD
`static boolean` | `defaultRandom` DESCRIBE THE FIELD
`static boolean` | `defaultRerouteIfSuspected` DESCRIBE THE FIELD
`static boolean` | `defaultShortestPath` DESCRIBE THE FIELD

Constructor Summary
`SendOptions()` Constructor.
`SendOptions(boolean random, boolean noShortCuts, boolean shortestPath, boolean allowMultipleHops, boolean rerouteIfSuspected)` Constructor.

Method Summary
`boolean` | `canRandom()` Returns whether randomizations on the route are allowed.
`boolean` | `makeNoShortCuts()` Returns whether it is required for each routing step to go to a node whose id matches in exactly one more digit.
`boolean` | `multipleHopsAllowed()` Returns whether multiple hops are allowed during the transmission of this message.
`boolean` | `requireShortestPath()` Returns whether it is required to go to the strictly nearest known node with appropriate node id.
`boolean` | `rerouteIfSuspected()` DESCRIBE THE METHOD
`void` | `setMultipleHopsAllowed(boolean b)` Sets the MultipleHopsAllowed attribute of the SendOptions object
`void` | `setRerouteIfSuspected(boolean b)` Sets the RerouteIfSuspected attribute of the SendOptions object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultRandom

    public static final boolean defaultRandom

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### defaultNoShortCuts

    public static final boolean defaultNoShortCuts

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### defaultShortestPath

    public static final boolean defaultShortestPath

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### defaultAllowMultipleHops

    public static final boolean defaultAllowMultipleHops

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### defaultRerouteIfSuspected

    public static final boolean defaultRerouteIfSuspected

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Constructor Detail

### SendOptions

    public SendOptions()

  Constructor.

### SendOptions

    public SendOptions(boolean random,
                       boolean noShortCuts,
                       boolean shortestPath,
                       boolean allowMultipleHops,
                       boolean rerouteIfSuspected)

  Constructor.

Parameters:
  `random` - true if randomize the route
  `noShortCuts` - true if require each routing step to go to a node whose id matches in exactly one more digit
  `shortestPath` - true if require to go to the strictly nearest known node with appropriate node id
  `allowMultipleHops` - true if we allow multiple hops for this transmission, false otherwise.
  `rerouteIfSuspected` - DESCRIBE THE PARAMETER

Method Detail

### setMultipleHopsAllowed

    public void setMultipleHopsAllowed(boolean b)

  Sets the MultipleHopsAllowed attribute of the SendOptions object

  Parameters:
    `b` - The new MultipleHopsAllowed value

### setRerouteIfSuspected

    public void setRerouteIfSuspected(boolean b)

  Sets the RerouteIfSuspected attribute of the SendOptions object

  Parameters:
    `b` - The new RerouteIfSuspected value

### canRandom

    public boolean canRandom()

  Returns whether randomizations on the route are allowed.

  Returns:
    true if randomizations are allowed.

### makeNoShortCuts

    public boolean makeNoShortCuts()

  Returns whether it is required for each routing step to go to a node whose id matches in exactly one more digit.

  Returns:
    true if it is required to go to a node whose id matches in exactly one more digit.

### requireShortestPath

    public boolean requireShortestPath()

  Returns whether it is required to go to the strictly nearest known node with appropriate node id.

  Returns:
    true if it is required to go to the strictly nearest known node with appropriate node id.

### multipleHopsAllowed

    public boolean multipleHopsAllowed()

  Returns whether multiple hops are allowed during the transmission of this message.

  Returns:
    true if so, false otherwise.

### rerouteIfSuspected

    public boolean rerouteIfSuspected()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.